Resource

Status Page SSO

Configure Status Page SSO

The Status Page SSO Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Project in which this object belongs

  • Name
    statusPage
    Type
    Status Page
    Description

    Relation to Status Page Resource in which this object belongs

  • Name
    statusPageId
    Type
    Object IDRequired
    Description

    ID of your Status Page resource where this object belongs

  • Name
    name
    Type
    TextRequired
    Description

    Any friendly name of this object

  • Name
    description
    Type
    Long TextRequired
    Description

  • Name
    signatureMethod
    Type
    TextRequired
    Description

  • Name
    digestMethod
    Type
    TextRequired
    Description

  • Name
    signOnURL
    Type
    URLRequired
    Description

  • Name
    issuerURL
    Type
    URLRequired
    Description

  • Name
    publicCertificate
    Type
    Very Long TextRequired
    Description

  • Name
    createdByUser
    Type
    User
    Description

    Relation to User who created this object (if this object was created by a User)

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

  • Name
    isEnabled
    Type
    Boolean
    Description

  • Name
    isTested
    Type
    Boolean
    Description

GETorPOST/api/status-page-sso/get-list

List

This endpoint allows you to retrieve a paginated list of all your Status Page SSO. By default, a maximum of ten Status Page SSO are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/status-page-sso/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "description": true,
    "digestMethod": true,
    "issuerURL": true,
    "name": true,
    "projectId": true
  },
  "query": {
    "description": "SSO configuration for status page authentication using SAML 2.0"
  },
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "377d2a73-28fe-11f1-b591-3fdcef396aba",
      "description": "SSO configuration for status page authentication using SAML 2.0",
      "digestMethod": "SHA256",
      "issuerURL": "https://idp.example.com/saml/metadata",
      "name": "Corporate SSO",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e"
    },
    {
      "_id": "377d2a74-28fe-11f1-b591-3fdcef396aba",
      "description": "SSO configuration for status page authentication using SAML 2.0",
      "digestMethod": "SHA256",
      "issuerURL": "https://idp.example.com/saml/metadata",
      "name": "Corporate SSO",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e"
    },
    {
      "_id": "377d2a75-28fe-11f1-b591-3fdcef396aba",
      "description": "SSO configuration for status page authentication using SAML 2.0",
      "digestMethod": "SHA256",
      "issuerURL": "https://idp.example.com/saml/metadata",
      "name": "Corporate SSO",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e"
    }
  ]
}
GETorPOST/api/status-page-sso/:id/get-item

Get item by ID

This endpoint allows you to retrieve Status Page SSO by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/status-page-sso/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "description": true,
    "digestMethod": true,
    "issuerURL": true,
    "name": true,
    "projectId": true
  }
}

Response

{
  "_id": "377d2a73-28fe-11f1-b591-3fdcef396aba",
  "description": "SSO configuration for status page authentication using SAML 2.0",
  "digestMethod": "SHA256",
  "issuerURL": "https://idp.example.com/saml/metadata",
  "name": "Corporate SSO",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e"
}
POST/api/status-page-sso/count

Count

This endpoint allows you to retrieve the count of all your Status Page SSO.

Optional Request Body

Count Request

POST
/api/status-page-sso/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {
    "description": "SSO configuration for status page authentication using SAML 2.0"
  }
}

Response

{
  "count": 107
}
POST/api/status-page-sso

Create Status Page SSO

This endpoint allows you to create a new object.

Create Request

POST
/api/status-page-sso
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "description": "SSO configuration for status page authentication using SAML 2.0",
    "digestMethod": "SHA256",
    "issuerURL": "https://idp.example.com/saml/metadata",
    "name": "Corporate SSO",
    "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e"
  }
}

Response

{
  "_id": "377d2a73-28fe-11f1-b591-3fdcef396aba",
  "description": "SSO configuration for status page authentication using SAML 2.0",
  "digestMethod": "SHA256",
  "issuerURL": "https://idp.example.com/saml/metadata",
  "name": "Corporate SSO",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e"
}
PUT/api/status-page-sso/:id

Update by ID

This endpoint allows you to update object by its ID.

Alternative Methods

For clients that do not support PUT requests, you can use POST or GET with the same request headers and body:

POST/api/status-page-sso/:id/update-item
GET/api/status-page-sso/:id/update-item

Update Request

PUT
/api/status-page-sso/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "description": "SSO configuration for status page authentication using SAML 2.0",
    "digestMethod": "SHA256",
    "issuerURL": "https://idp.example.com/saml/metadata"
  }
}

Response

{}
DELETE/api/status-page-sso/:id

Delete by ID

This endpoint allows you to delete object by its ID.

Alternative Methods

For clients that do not support DELETE requests, you can use POST or GET with the same request headers and body:

POST/api/status-page-sso/:id/delete-item
GET/api/status-page-sso/:id/delete-item

Delete Request

DELETE
/api/status-page-sso/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY

Response

{}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read Status Page SSO

  • Project Owner
  • Project User
  • Public
  • Project Admin
  • Read Status Page SSO
  • Read All Project Resources

Create Permissions

Required to create Status Page SSO

  • Project Owner
  • Project Admin
  • Create Status Page SSO

Update Permissions

Required to update Status Page SSO

  • Project Owner
  • Project Admin
  • Edit Status Page SSO

Delete Permissions

Required to delete Status Page SSO

  • Project Owner
  • Project Admin
  • Delete Status Page SSO